Subject: Re: Making a (quick) commit to another branch

From: Patrik Gornicz <[email-masked]>
Date: Sat, 27 Apr 2013 10:56:39 -0400

I've also encountered this desire to quickly fix something in another 
branch.

My need is more driven by the fact that it's a large project and 
stashing changes / switching branches frequently results in 2-6 minute 
build times afterward. Thus the commit to another branch suggestion 
would be quite neat as I wouldn't have to stash/switch.

Another possible approach would be to allow cherry-picking a change 
into another branch (without the stash/switch need).

Either way though, things might be a little weird if there's a 
conflict. Most of the time with the types of changes I'd like to do 
this simply won't be the case so perhaps just failing and requiring the 
user to work around it with either of the suggested work arounds would 
be effective enough . . .

Patrik

On Sat Apr 27 10:21:31 2013, Javier Domingo wrote:
> 2013/4/27 Johannes Schneider <[email-masked]>:
>> -----BEGIN PGP SIGNED MESSAGE-----
>> Hash: SHA1
>>
>> Hi guys,
>>
>> I love git. And I use it every day. But there is one minor thing, that
>> bugs me a little bit:
>> I am implementing something on a feature branch. Now I detect a minor
>> typo/bug/whatever that just needs a one line commit.
>>
>> But of course I don't want to add that commit to my feature branch.
>> Instead I'd like to commit that fix directly to another branch (e.g.
>> master).
>>
>> Unfortunately that take a lot of steps to make this happen:
>> - - comitting
>> - - stashing other changes
>> - - changing branch
>> - - cherry-picking commit
>> - - switching branches back
>> - - reverting latest commit
>> - - unstashing changes
>>
>> I'd love to solve this by having an option for git commit that gives
>> me the possibility to commit to another branch:
>>
>>
>> git commit thefixedfile.txt -m "fixed a typo" -b master
>>
>>
>>
>> Any ideas/hints?
>>
>
> I would first recommend you, instead of cherry-picking the commit, you did this:
> -- stash
> -- go to the master branch
> -- fix the line
> -- commit the fix
> -- got to the feature branch
> -- unstash
>
> As when you merge with master, git will carry on with the changes. I
> don't see the need to cherry pick that commit.
>
> Javier Domingo
> --
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html